Get Transforms Implementation Details
GET
/transforms/{transforms_id}/implementation_detailsAuthorization
AuthorizationBearer token · headerrequiredPath parameters
transforms_idstringrequiredResponses
200
Successful Response
transform_idstringrequiredimpl_versionsobject422
Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredinputanyctxobjectRequest
curl -X GET "https://api.streamkap.com/transforms/string/implementation_details" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.streamkap.com/transforms/string/implementation_details", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.streamkap.com/transforms/string/implementation_details",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"transform_id": "string",
"impl_versions": {
"property1": {
"transform_id": "string",
"version_id": "",
"description": "string",
"config": {
"transforms.name": "string",
"transforms.language": "string",
"transforms.input.topic.pattern": "string",
"transforms.output.topic.pattern": "string",
"transforms.input.serialization.format": "Any",
"transforms.output.serialization.format": "Any",
"transforms.input.job.parallelism": 5,
"transforms.topic.ttl": "string",
"kc.cluster.id": "string"
},
"created_timestamp": "2019-08-24T14:15:22Z",
"implementation": {
"language": "PYTHON",
"value_transform": "string",
"key_transform": "string",
"topic_transform": "string",
"common_transform": "string",
"value_schema_transform": "string",
"key_schema_transform": "string",
"unit_test": {
"test_name": "string",
"input__json": [
{
"topic": "string",
"value": {},
"key": {},
"timestamp": "2019-08-24T14:15:22Z"
}
],
"output__json": [
{
"topic": "string",
"value": {},
"key": {},
"timestamp": "2019-08-24T14:15:22Z"
}
],
"result__json": [
{
"topic": "string",
"value": {},
"key": {},
"timestamp": "2019-08-24T14:15:22Z"
}
],
"is_success": true,
"html_diff": "string",
"text_diff": "string"
}
}
},
"property2": {
"transform_id": "string",
"version_id": "",
"description": "string",
"config": {
"transforms.name": "string",
"transforms.language": "string",
"transforms.input.topic.pattern": "string",
"transforms.output.topic.pattern": "string",
"transforms.input.serialization.format": "Any",
"transforms.output.serialization.format": "Any",
"transforms.input.job.parallelism": 5,
"transforms.topic.ttl": "string",
"kc.cluster.id": "string"
},
"created_timestamp": "2019-08-24T14:15:22Z",
"implementation": {
"language": "PYTHON",
"value_transform": "string",
"key_transform": "string",
"topic_transform": "string",
"common_transform": "string",
"value_schema_transform": "string",
"key_schema_transform": "string",
"unit_test": {
"test_name": "string",
"input__json": [
{
"topic": "string",
"value": {},
"key": {},
"timestamp": "2019-08-24T14:15:22Z"
}
],
"output__json": [
{
"topic": "string",
"value": {},
"key": {},
"timestamp": "2019-08-24T14:15:22Z"
}
],
"result__json": [
{
"topic": "string",
"value": {},
"key": {},
"timestamp": "2019-08-24T14:15:22Z"
}
],
"is_success": true,
"html_diff": "string",
"text_diff": "string"
}
}
}
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}